summaryrefslogtreecommitdiff
path: root/dev-python/sphinx-hoverxref/sphinx-hoverxref-1.5.0.ebuild
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-16 10:59:35 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-16 10:59:35 -0500
commita46f0ec88e6c7ea84ed2f67a40bbf89ef44bc6af (patch)
tree98303deb2a205a7f39cffa3a960c1762559c7a7d /dev-python/sphinx-hoverxref/sphinx-hoverxref-1.5.0.ebuild
parent8e65dc62f3f9f6b8f7b890fefedbf4ac05dfde0b (diff)
downloadbaldeagleos-repo-a46f0ec88e6c7ea84ed2f67a40bbf89ef44bc6af.tar.gz
baldeagleos-repo-a46f0ec88e6c7ea84ed2f67a40bbf89ef44bc6af.tar.xz
baldeagleos-repo-a46f0ec88e6c7ea84ed2f67a40bbf89ef44bc6af.zip
Adding metadata
Diffstat (limited to 'dev-python/sphinx-hoverxref/sphinx-hoverxref-1.5.0.ebuild')
-rw-r--r--dev-python/sphinx-hoverxref/sphinx-hoverxref-1.5.0.ebuild57
1 files changed, 57 insertions, 0 deletions
diff --git a/dev-python/sphinx-hoverxref/sphinx-hoverxref-1.5.0.ebuild b/dev-python/sphinx-hoverxref/sphinx-hoverxref-1.5.0.ebuild
new file mode 100644
index 000000000000..909344dccb76
--- /dev/null
+++ b/dev-python/sphinx-hoverxref/sphinx-hoverxref-1.5.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extension to show tooltips with content embedded when hover a reference"
+HOMEPAGE="
+ https://pypi.org/project/sphinx-hoverxref/
+ https://github.com/readthedocs/sphinx-hoverxref
+"
+SRC_URI="https://github.com/readthedocs/sphinx-hoverxref/archive/refs/tags/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=dev-python/sphinx-5.0[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-jquery[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/sphinxcontrib-bibtex-2.6.0[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_DESELECT=(
+ # Require network
+ tests/test_htmltag.py::test_intersphinx_default_configs
+ tests/test_htmltag.py::test_intersphinx_python_mapping
+ tests/test_htmltag.py::test_intersphinx_all_mappings
+)
+
+distutils_enable_tests pytest
+#distutils_enable_sphinx docs \
+# dev-python/sphinx-autoapi \
+# dev-python/sphinx-notfound-page \
+# dev-python/sphinx-prompt \
+# dev-python/sphinx-rtd-theme \
+# dev-python/sphinx-tabs \
+# dev-python/sphinx-version-warning \
+# dev-python/sphinxcontrib-bibtex \
+# dev-python/sphinxemoji
+#
+#python_prepare_all() {
+# # Fix the name
+# sed -i \
+# -e 's/sphinx-prompt/sphinx_prompt/g' \
+# docs/conf.py || die
+#
+# distutils-r1_python_prepare_all
+#}